/*  libbadpenguin -- generic library for Bad Penguin development
 *
 *  Copyright (C) 1996 Antonio Gallo
 *  agx@linux.it
 *  
 *  Newer versions should be on www.badpenguin.org
 *
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  
 */

#include <sys/stat.h>
#include <stdio.h>


// return 0 if the file is a directory else -1
int is_directory( char *p, char *d ) {
  char buffer[256];
  struct stat lpstat;
  snprintf(buffer, 256, "%s/%s", p, d);
  lstat(buffer, &lpstat);
  if (1 == S_ISDIR(lpstat.st_mode)) {
    return 0;
  }
  return -1;
}


// return 0 if the file is a regular file else -1
int is_regularfile( char *p, char *d ) {
  char buffer[256];
  struct stat lpstat;
  snprintf(buffer, 256, "%s/%s", p, d);
  lstat(buffer, &lpstat);
  if (1 == S_ISREG(lpstat.st_mode)) {
    return 0;
  }
  return -1;
}

